#!/bin/sh

LOGOUT=/dev/stdout

. ./update_check_functions
. ./updater-functions

export UPDATE_MP=$1
export UPDATE_TYPE="user"
export TIME=time
export SP=
export PACKAGE_HEADER_SIZE=0

##############################
package_header ()
{
	export PACKAGE="${UPDATE_MP}/${MODEL} Updater.package"
	export PACKAGE_INFO=${TMP}/SETTING

	unpack_package_info "${PACKAGE}" "${PACKAGE_INFO}" ${PACKAGE_HEADER_SIZE} "yes"
	if [ $? -ne 0 ];
	then
		END_STATE=${STATE_PACKAGE_NG}
		exit 1
	fi

	export HEADER_SIZE=${PACKAGE_HEADER_SIZE}
}

##############################
# Main

if [ $# -ne 1 -o ! -d $1 ]
then
  echo "usage: $0 <upd_dir>"
  exit 1
fi

get_info_key
package_header
unpack_package_updater "${PACKAGE}" "${PACKAGE_INFO}" "${UNPACK}" ${HEADER_SIZE}
if [ $? -ne 0 ];
then
	exit 1
	# safe_reboot
fi

if [ -f ${UNPACK}/update.sh ]
then
	echo "${UNPACK}/update.sh present"
else
	echo "${UNPACK}/update.sh NOT present"
	exit 1
fi
exit 0

cd ${UNPACK}/
UPDATE_ARG=""
while [ 0 ];
do
	${LOGFLUSH}
	./update.sh ${UPDATE_ARG} > ${LOGOUT} 2>&1
	ret=$?
	${LOGFLUSH}
	case $ret in
	16)
		if [ -x /tmp/change_update.sh ];
		then
			/tmp/change_update.sh > ${LOGOUT} 2>&1
			UPDATE_ARG="restart"
		else
			echo "#### Not exists /tmp/change_update.sh ####" > ${LOGOUT} 2>&1
			END_STATE=${STATE_PACKAGE_NG}
			safe_reboot
		fi
		;;
	*)
		exit 0
		;;
	esac
done
